#ifndef	FTP_READ

#include <stdio.h>
#include "socket.h"
#include "ftp.h"

#define CTLZ	26		/* EOF for CP/M systems */

extern char *Userfile;	/* List of user names and permissions */

struct ftpserv {
	int control;		/* Control socket */
	int data;		/* Data socket */
	char type;		/* Transfer type */
	int logbsize;		/* Logical byte size for logical type */

	FILE *fp;		/* File descriptor being transferred */
	struct sockaddr_in port;/* Remote port for data connection */
	char *username;		/* Arg to USER command */
	char *path;		/* Allowable path prefix */
	char perms;		/* Permission flag bits */
#define	FTP_READ	1	/* Read files */
#define	FTP_CREATE	2	/* Create new files */
#define	FTP_WRITE	4	/* Overwrite or delete existing files */

	char *cd;		/* Current directory name */
};

#endif	/* FTP_READ */

